List sessions
GET
/v1/session/
const url = 'https://example.com/v1/session/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/session/ \ --header 'Authorization: Bearer <token>'Return all active sessions for the current user.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
user
required
string format: uuid
user_agent
required
string
device
required
string
ip
required
string
updated_at
required
string format: date-time
location
required
string
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}